Skip to main content
delete/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/versions/{version}
Request example
Response
delete/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/versions/{version}

Authorization

Authorizationstringheaderrequired#
Get your API key at context7.com/dashboard. Treat your API key like a password and store it securely.

Path parameters

teamspaceIdstringrequired#
Teamspace id (uuid).
ownerstringrequired#
First segment of the library id /owner/repo (for example vercel in /vercel/next.js, websites in /websites/docs_example_com). Case-insensitive.
repostringrequired#
Second segment of the library id /owner/repo. Case-insensitive.
versionstringrequired#
Version name from the library details (a tag, or a branch name). URL-encode a / in a branch name.

Query parameters

isBranchboolean#
true for the branch, false for the tag (any other value is a 400). Required when a tag and a branch have the same name.

Responses

application/json
The deletion started
successbooleanrequired#
messagestringrequired#
statusstring#